Showing results for 
Search instead for 
Do you mean 
Reply

Plane with a handle that can drag

[ Edited ]

Hello all,

 

In CAM -> cavity milling -> cutting layer, we have the following control where we can drag the position of the plane using the arrow handle.

 

1.png

 

How can we program something like this with NXOpen? 

 

Here is what I tried:

 

1) first create a plane  workPart.planes.

pl1 = workPart.planes.createplane(origin, norm, updateoption.withinModel)

 

2) use value from "Linear Dimension" in the UI, create an expression

Expression exp = ... CreateSystemExpression(Dist.toString(), unit)

 

3) create another plane by using

  • CreatePlane(method, alternate, origin, normal, expression, flip, percent, geometry)

for example, pl2 = workPart.planes.createPlane()

 

 

1 REPLY

Re: Plane with a handle that can drag

A block-based dialog, can contain blocks called SpecifyPlane and SpecifyOrientation. Both of these display a graphical thingie that the user can then drag around the screen, as in your picture.

 

To create a block-based dialog, you can either use Block UI Styler and a BlockDialog object, or use a Snap.BlockForm object.

山田
yamada